Bug 821104 - /etc/cron.d/atop?????????
/etc/cron.d/atop?????????
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: atop (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 18:26 EDT by Harald Reindl
Modified: 2012-05-30 21:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-24 19:58:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2012-05-11 18:26:25 EDT
what the hell is this?
atop-1.26-5.fc16.x86_64

why is someone using "/etc/rc.d/init.d/atop" instead "systemctl try-restart atop.service" since it is shipped with "/lib/systemd/system/atop.service" or at least "service atop condrestart" which would be correctly redirected?

-------- Original-Nachricht --------
Betreff: Cron <root@srv-rhsoft> /etc/rc.d/init.d/atop condrestart
Datum: Sat, 12 May 2012 00:00:01 +0200 (CEST)
Von: Cron Daemon <root@srv-rhsoft.rhsoft.net>
An: root@srv-rhsoft.rhsoft.net
/bin/sh: /etc/rc.d/init.d/atop: No such file or directory

[root@srv-rhsoft:~]$ cat /etc/cron.d/atop
# start atop daily at midnight
0 0 * * * root /etc/rc.d/init.d/atop condrestart
Comment 1 Gwyn Ciesla 2012-05-14 10:00:49 EDT
That's called an artifact of having first fixed another bug on EL-5 rather than Fedora.  I will correct it.  As previously requested in other venues, please adjust your tone.  While I appreciate receiving feedback on packages in updates-testing, profanity is unwarranted.
Comment 2 Fedora Update System 2012-05-14 10:22:25 EDT
atop-1.26-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/atop-1.26-6.fc17
Comment 3 Fedora Update System 2012-05-14 10:22:55 EDT
atop-1.26-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/atop-1.26-3.el5
Comment 4 Fedora Update System 2012-05-14 10:23:16 EDT
atop-1.26-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/atop-1.26-3.el6
Comment 5 Fedora Update System 2012-05-14 10:23:41 EDT
atop-1.26-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/atop-1.26-6.fc15
Comment 6 Fedora Update System 2012-05-14 10:24:24 EDT
atop-1.26-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/atop-1.26-6.fc16
Comment 7 Harald Reindl 2012-05-14 10:25:44 EDT
my problem is not the artifact

it is the genereal wrong use of "/etc/rc.d/init.d/atop condrestart"
for a RH/Fedora package instead of at least "/sbin/service atop condrestart"
Comment 8 Fedora Update System 2012-05-14 22:10:10 EDT
Package atop-1.26-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing atop-1.26-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5874/atop-1.26-3.el5
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-05-24 19:58:40 EDT
atop-1.26-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-24 19:59:49 EDT
atop-1.26-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-05-26 03:44:52 EDT
atop-1.26-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-05-30 21:12:46 EDT
atop-1.26-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-05-30 21:15:24 EDT
atop-1.26-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.